#setuprender -verbose 		1
setuprender -shadows 		1
setuprender -raytrace 		1
setuprender -fast 		0
setuprender -remove_back	0
#setuprender -savetga "D:\\images\\transp.TGA"

###########################################
newshader mirror_shader "mirror"

mirror_shader -ambiant { .5 .5 .5 }
mirror_shader -couleur { 1 1 1 }
mirror_shader -diffus 0.9
mirror_shader -spec_coef .8
mirror_shader -spec_couleur 	{ 1 1 1 }
mirror_shader -reflection	{ .9 .9 .9 }
mirror_shader -spec_etal 200


###########################################
newshader refract_shader "refract"

refract_shader -ambiant { .3 .3 .3 }
refract_shader -couleur { .5 .8 1 }
refract_shader -diffus 0.9
refract_shader -spec_coef .8
#refract_shader -spec_couleur 	{ 1 1 1 }
refract_shader -opacity		{ .1 .1 .1 }
refract_shader -refraction	1.01
refract_shader -spec_etal 200

###########################################
newshader glass_shader "glass transp"

glass_shader -ambiant { .05 .05 .05 }
glass_shader -couleur { 1 1 1 }
glass_shader -diffus 0.9
glass_shader -spec_coef .8
glass_shader -spec_couleur 	{ 1 1 1 }
glass_shader -opacity		{ .1 .1 .1 }
glass_shader -refraction	1.01
glass_shader -spec_etal 200

###########################################
newshader lens_shader "lens transp"

lens_shader -ambiant { .05 .05 .05 }
lens_shader -couleur { 1 1 1 }
lens_shader -diffus 0.9
lens_shader -spec_coef .8
lens_shader -spec_couleur 	{ 1 1 1 }
lens_shader -opacity		{ .1 .1 .1 }
lens_shader -refraction	0.97 
lens_shader -spec_etal 200

###########################################
newshader marble_shader "Marble"

marble_shader -diffus 0.9
marble_shader -spec_coef .8
marble_shader -spec_couleur { 1 1 1 }
marble_shader -spec_etal 200
marble_shader -texture marble_text

marble_text -texture3d 		marble_t3d
marble_text -destination 	color
marble_text -algo_applic	mix
marble_text -param_applic	0.5

marble_t3d -type 		marble
marble_t3d -perturbation 	0.3
marble_t3d -scale 	{ 3 3 3 }
marble_t3d -trans 	{ 0.0 0.0 0.0 }
marble_t3d -rotat 	{ 0.0 0.0 0.0 }
marble_t3d -taille		10
marble_t3d -couleur1 		{ .1 .3 .5 }
marble_t3d -couleur2		{ 0 1 1 }
marble_t3d -colmap { 0.10 0.0 0.9 0.1 1.0 }
marble_t3d -colmap { 0.40 0.2 0.6 0.4 1.0 }
marble_t3d -colmap { 0.60 0.4 0.9 0.1 1.0 }
marble_t3d -colmap { 0.80 0.7 1.0 0.7 1.0 }


###########################################
newshader wood_shader "Wood"
wood_shader -diffus 0.9
wood_shader -spec_coef 0
wood_shader -spec_couleur { 1 1 1 }
wood_shader -spec_etal 200
wood_shader -ambiant { 0.4 0.4 0.4 }
wood_shader -texture wood_text

wood_text -texture3d 		wood_t3d
wood_text -destination 	color
wood_text -algo_applic	replace
wood_text -param_applic	0.5

wood_t3d -type 		wood
wood_t3d -scale 	{ 10 10 1 }
wood_t3d -taille	10
wood_t3d -trans 	{ 0.0 0.0 0.0 }
wood_t3d -rotat 	{ 0.0 0.0 0.0 }
wood_t3d -perturbation 0.2
wood_t3d -octaves	1
wood_t3d -couleur1	{ .6 .3 0 }
wood_t3d -couleur2	{ .9 .5 0 }

###########################################
newshader cwood_shader "Cartoon water"
cwood_shader -diffus 0.9
cwood_shader -spec_coef 0
cwood_shader -spec_couleur { 1 1 1 }
cwood_shader -spec_etal 200
cwood_shader -ambiant { 0.5 0.5 0.5 }
cwood_shader -texture cwood_text

cwood_text -texture3d 		cwood_t3d
cwood_text -destination 	color
cwood_text -algo_applic		replace
cwood_text -param_applic	0.5

cwood_t3d -type 	radial1
cwood_t3d -scale 	{ 15 15 15 }
cwood_t3d -taille	10
cwood_t3d -trans 	{ 0.0 0.0 0.0 }
cwood_t3d -rotat 	{ 0.0 0.0 0.0 }
cwood_t3d -perturbation 0.7
cwood_t3d -octaves	3
cwood_t3d -couleur1	{ .6 .3 0 }
cwood_t3d -couleur2	{ .9 .5 0 }
cwood_t3d -colmap { 0.00 0.2 0.3 1.0 1.0 }
cwood_t3d -colmap { 0.40 0.3 0.7 0.8 1.0 }
cwood_t3d -colmap { 0.55 0.1 0.1 0.6 1.0 }
cwood_t3d -colmap { 1.00 0.2 0.3 1.0 1.0 }

###########################################
newshader redcopper_shader "Red Copper"
redcopper_shader -ambiant { .5 .5 .5 }
redcopper_shader -couleur { .4 .1 0 }
redcopper_shader -diffus .5
redcopper_shader -spec_coef .6
redcopper_shader -spec_couleur { 1 .3 0 }
redcopper_shader -spec_etal 10
redcopper_shader -spec_filtre .8
redcopper_shader -spec_eccen  .4
#redcopper_shader -spec_algo	1

###########################################
newshader copper_shader "Copper"
copper_shader -ambiant { .6 .6 .6 }
copper_shader -couleur { .4 .2 .1 }
copper_shader -diffus 0
copper_shader -spec_coef 2
copper_shader -spec_couleur { .4 .2 .1 }
copper_shader -spec_etal 10
copper_shader -spec_eccen .5

###########################################
newshader yelcopper_shader "Yellow copper"
yelcopper_shader -ambiant { .4 .4 .4 }
yelcopper_shader -couleur { 1 .9 .5 }
yelcopper_shader -diffus .3
yelcopper_shader -spec_coef .6
yelcopper_shader -spec_couleur { 1 .9 .5 }
yelcopper_shader -spec_etal 10
yelcopper_shader -spec_eccen .95
yelcopper_shader -spec_filtre 1

###########################################
newshader alu_shader "Aluminium"
alu_shader -ambiant { .3 .3 .3 }
alu_shader -couleur { .4 .4 .4 }
alu_shader -diffus .4
alu_shader -spec_coef .8
alu_shader -spec_couleur { .5 .9 1 }
alu_shader -spec_etal 20
alu_shader -spec_algo	0
alu_shader -spec_eccen	0
alu_shader -spec_filtre 1
alu_shader -shading	0

###########################################
newshader mzfumee "Smoke"
mzfumee -couleur { .2 .3 .4 }
mzfumee -ambiant { .2 .3 .4 }
mzfumee -opacity { 1.0 1.0 1.0 }
mzfumee -diffus 0.8
mzfumee -amb_coef 0.6
mzfumee -spec_coef 0
mzfumee -cast_shadow 1
mzfumee -recv_shadow 1
mzfumee -texture mzfumee_text

mzfumee_text -texture3d mzfumee_data
mzfumee_text -destination transp
mzfumee_text -algo_applic replace
mzfumee_text -param_applic 0.5

mzfumee_data -type wood
mzfumee_data -couleur1  	{ 0.0 0.0 0.0 }
mzfumee_data -couleur2  	{ 1.0 1.0 1.0 }
mzfumee_data -scale 	{ 3.0 3.0 1.0 }
mzfumee_data -trans 	{ 0.0 0.0 0.0 }
mzfumee_data -rotat 	{ 0.0 0.0 0.0 }
mzfumee_data -taille		10
mzfumee_data -perturbation	0.79
mzfumee_data -octaves		5

###########################################
newshader mbozoC "Bozo"
mbozoC -couleur { 1.0 1.0 0.0 }
mbozoC -ambiant { 0.3 0.3 0.3 }
mbozoC -opacity { 1.0 1.0 1.0 }
mbozoC -diffus 1
mbozoC -spec_coef 0
mbozoC -spec_etal 120
mbozoC -cast_shadow 1
mbozoC -recv_shadow 1

mbozoC -texture mbozoC_text

mbozoC_text -texture3d mbozoC_data
mbozoC_text -destination color
mbozoC_text -algo_applic replace
mbozoC_text -param_applic 0.5

mbozoC_data -type marble
mbozoC_data -scale 	{ 4.0 4.0 4.0 }
mbozoC_data -trans 	{ 0.0 0.0 0.0 }
mbozoC_data -rotat 	{ 0.0 0.0 0.0 }
mbozoC_data -taille		1
mbozoC_data -perturbation	1
mbozoC_data -octaves		1
mbozoC_data -colmap { 0.10 1.0 0.0 0.0 1.0 }
mbozoC_data -colmap { 0.40 0.9 0.9 0.1 1.0 }
mbozoC_data -colmap { 0.60 0.2 0.2 1.0 1.0 }
mbozoC_data -colmap { 0.80 1.0 1.0 1.0 1.0 }


###########################################
newshader mbozo "Planet Earth"
mbozo -couleur { 1.0 1.0 0.0 }
mbozo -ambiant { 0.4 0.4 0.4 }
mbozo -opacity { 1.0 1.0 1.0 }
mbozo -diffus 1
mbozo -spec_coef 0
mbozo -cast_shadow 1
mbozo -recv_shadow 1

mbozo -texture mbozo_text
mbozo -texture mbozo2_text

mbozo_text -texture3d mbozo_data
mbozo_text -destination color
mbozo_text -algo_applic replace
mbozo_text -param_applic 0.5

mbozo_data -type wood
mbozo_data -scale 	{ 2.0 2.0 2.0 }
mbozo_data -trans 	{ 0.0 0.0 0.0 }
mbozo_data -rotat 	{ 0.0 0.0 0.0 }
mbozo_data -taille		2
mbozo_data -perturbation	1
mbozo_data -octaves		4
mbozo_data -colmap { 0.70 0.2 0.2 1.0 1.0 }
mbozo_data -colmap { 0.71 0.7 0.4 0.1 1.0 }
mbozo_data -colmap { 1.0 0.1 0.5 0.0 1.0 }

mbozo2_text -texture3d mbozo2_data
mbozo2_text -destination color
mbozo2_text -algo_applic clearer
mbozo2_text -param_applic 1

mbozo2_data -type	marble
mbozo2_data -scale 	{ 2.0 2.0 2.0 }
mbozo2_data -trans 	{ 0.0 0.0 0.0 }
mbozo2_data -rotat 	{ 0.0 0.0 0.0 }
mbozo2_data -taille		7
mbozo2_data -perturbation	0.52
mbozo2_data -octaves		7
mbozo2_data -colmap { 0.0 0.0 0.0 0.0 1.0 }
mbozo2_data -colmap { 1.0 1.0 1.0 1.0 1.0 }

###########################################
newshader mzcmap "Another blue marble"
mzcmap -couleur { 1.0 1.0 0.0 }
mzcmap -ambiant { 0.0 0.0 0.0 }
mzcmap -opacity { 1.0 1.0 1.0 }
mzcmap -diffus 1
mzcmap -spec_coef .5
mzcmap -spec_etal 120
mzcmap -cast_shadow 1
mzcmap -recv_shadow 1

mzcmap -texture mzcmap_text

mzcmap_text -texture3d mzcmap_data
mzcmap_text -destination color
mzcmap_text -algo_applic replace
mzcmap_text -param_applic 0.5

mzcmap_data -type		marble
mzcmap_data -couleur1  	{ 0.2 0.3 0.4 }
mzcmap_data -couleur2  	{ 0.4 0.7 1.0 }
mzcmap_data -scale 	{ 1.0 1.0 1.0 }
mzcmap_data -trans 	{ 0.0 0.0 0.0 }
mzcmap_data -rotat 	{ 0.0 0.0 0.0 }
mzcmap_data -taille		20
mzcmap_data -perturbation	.3
mzcmap_data -octaves		7
mzcmap_data -colmap { 0.00 0.0 0.3 1.0 1.0 }
mzcmap_data -colmap { 0.10 0.2 0.7 0.8 1.0 }
#mzcmap_data -colmap { 0.90 0.1 0.2 0.4 1.0 }
mzcmap_data -colmap { 0.95 0.1 0.5 0.6 1.0 }
mzcmap_data -colmap { 1.00 0.1 0.55 0.7 1.0 }


###########################################
newshader mzlite "Modern plastic"
mzlite -couleur { 0.8 0.9 0.6 }
mzlite -ambiant { 0.0 0.0 0.0 }
mzlite -opacity { 1.0 1.0 1.0 }
mzlite -diffus .6
mzlite -spec_coef 1
mzlite -spec_etal 120
mzlite -cast_shadow 1
mzlite -recv_shadow 1

mzlite -texture mzlite_text

mzlite_text -texture3d mzlite_data
mzlite_text -destination bump
mzlite_text -algo_applic mix
mzlite_text -param_applic 0.2

mzlite_data -type marble
#mzlite_data -couleur1  	{ 0.2 0.3 0.4 }
#mzlite_data -couleur2  	{ 0.4 0.7 1.0 }
mzlite_data -couleur1  	{ 0.0 0.0 0.0 }
mzlite_data -couleur2  	{ 1.0 1.0 1.0 }
mzlite_data -scale 	{ 7.0 7.0 7.0 }
mzlite_data -trans 	{ 0.0 0.0 0.0 }
mzlite_data -rotat 	{ 0.0 0.0 0.0 }
mzlite_data -taille		7
mzlite_data -perturbation	0.9
mzlite_data -octaves		1

###########################################
newshader damier_shader "Checker"
damier_shader -ambiant { .5 .5 .5 }
damier_shader -diffus 0.6
damier_shader -spec_coef 0
damier_shader -spec_couleur { 1 1 1 }
damier_shader -spec_etal 200
damier_shader -texture damier_text

damier_text -texture3d 		damier_t3d
damier_text -destination 	color
damier_text -algo_applic	replace
damier_text -param_applic	0.5

damier_t3d -type 		damier
damier_t3d -perturbation 	0.02
damier_t3d -scale 		{ 5 5 5 }
damier_t3d -taille		10
damier_t3d -couleur1 		{ .6 .3 .2 }
damier_t3d -couleur2		{ 1 .5 0 }

###########################################
newshader damiert_shader "Venitian window"
damiert_shader -couleur { 0.8 0.9 0.6 }
damiert_shader -ambiant { .5 .5 .5 }
damiert_shader -diffus 0.6
damiert_shader -spec_coef 0
damiert_shader -spec_couleur { 1 1 1 }
damiert_shader -spec_etal 200
damiert_shader -texture damiert_text

damiert_text -texture3d 	damiert_t3d
damiert_text -destination 	transp
damiert_text -algo_applic	replace
damiert_text -param_applic	0.5

damiert_t3d -type 		damier
damiert_t3d -perturbation 	0
damiert_t3d -scale 		{ 1 20 1 }
damiert_t3d -trans 		{ .5 0 0 }
damiert_t3d -taille		10
damiert_t3d -couleur1 		{ 0 0 0 }
damiert_t3d -couleur2		{ 1 1 1 }

###########################################
newshader degrade_shader "New age"
degrade_shader -ambiant { .7 .7 .7 }
degrade_shader -diffus 0.9
degrade_shader -spec_coef 0
degrade_shader -spec_couleur { 1 1 1 }
degrade_shader -spec_etal 200
degrade_shader -texture degrade_text

degrade_text -texture3d 	degrade_t3d
degrade_text -destination 	color
degrade_text -algo_applic	replace
degrade_text -param_applic	0.5

degrade_t3d -type 		degrad3d
degrade_t3d -perturbation 	0.7
degrade_t3d -scale 		{ 4 3 4 }
degrade_t3d -taille		10
degrade_t3d -couleur1 		{ 0 0 0 }
degrade_t3d -couleur2		{ 1 1 1 }
#degrade_t3d -colmap { 0.00 0.2 0.3 1.0 1.0 }
#degrade_t3d -colmap { 0.40 0.3 0.7 0.8 1.0 }
#degrade_t3d -colmap { 0.55 0.1 0.1 0.6 1.0 }
#degrade_t3d -colmap { 1.00 0.2 0.3 2.0 1.0 }

###########################################
newshader degrades_shader "Fantaisie"
degrades_shader -ambiant { .5 .5 .5 }
degrades_shader -couleur { .9 .8 .7 }
degrades_shader -diffus 0.6
degrades_shader -spec_coef 0
degrades_shader -spec_couleur { 1 1 1 }
degrades_shader -spec_etal 200
degrades_shader -texture degrades_text

degrades_text -texture3d 	degrades_t3d
degrades_text -destination 	ambiant
degrades_text -algo_applic	mix
degrades_text -param_applic	0.5

degrades_t3d -type 		degrad3ds
degrades_t3d -perturbation 	0.9
degrades_t3d -scale 		{ 15 15 15 }
degrades_t3d -taille		10
degrades_t3d -couleur1 		{ 0 0 0 }
degrades_t3d -couleur2		{ 1 1 1 }
#degrades_t3d -colmap { 0.00 0.2 0.3 1.0 1.0 }
#degrades_t3d -colmap { 0.40 0.3 0.7 0.8 1.0 }
#degrades_t3d -colmap { 0.55 0.1 0.1 0.6 1.0 }
#degrades_t3d -colmap { 1.00 0.2 0.3 2.0 1.0 }

###########################################
newshader marble2v_shader "Marble with two layers"
marble2v_shader -couleur { 0.2 0.4 0.9 }
marble2v_shader -diffus 0.6
marble2v_shader -spec_coef .8
marble2v_shader -spec_couleur { 1 1 1 }
marble2v_shader -spec_etal 200
marble2v_shader -texture marble2v_text2
marble2v_shader -texture marble2v_text

marble2v_text -texture3d 	marble2v_t3d
marble2v_text -destination 	color
marble2v_text -algo_applic	add
marble2v_text -param_applic	0.5

marble2v_t3d -type 		marble
marble2v_t3d -perturbation 	0.3
marble2v_t3d -scale 		{ 2 2 2 }
marble2v_t3d -taille		10
marble2v_t3d -colmap { 0.00 0.0 0.7 1.0 0.0 }
marble2v_t3d -colmap { 0.40 0.1 1.0 0.8 1.0 }
marble2v_t3d -colmap { 0.55 0.3 1.0 1.0 1.0 }
marble2v_t3d -colmap { 1.00 0.5 0.5 1.0 0.0 }

marble2v_text2 -texture3d 	marble2v_t3d2
marble2v_text2 -destination 	color
marble2v_text2 -algo_applic	add
marble2v_text2 -param_applic	0.5

marble2v_t3d2 -type 		marble
marble2v_t3d2 -perturbation 	0.3
marble2v_t3d2 -scale 		{ 4 4 4 }
marble2v_t3d2 -taille		10
marble2v_t3d2 -colmap { 0.00 0.2 0.3 1.0 1.0 }
marble2v_t3d2 -colmap { 0.40 0.3 0.7 0.8 0.0 }
marble2v_t3d2 -colmap { 0.55 0.1 0.1 0.6 0.0 }
marble2v_t3d2 -colmap { 1.00 0.2 0.3 1.0 1.0 }

###########################################
newshader bump2_shader "Old copper"
bump2_shader -ambiant { .3 .3 .3 }
bump2_shader -couleur { .5 .2 0 }
bump2_shader -diffus .6
bump2_shader -spec_coef 1
bump2_shader -spec_couleur { 1 1 1 }
bump2_shader -spec_etal 40
bump2_shader -texture bump2_text

bump2_text -texture3d 	bump2_t3d
bump2_text -destination 	bump
bump2_text -algo_applic		mix
bump2_text -param_applic	.8

bump2_t3d -type 		noise
bump2_t3d -perturbation 	.6
bump2_t3d -scale 		{ 20 20 20 }
bump2_t3d -taille		37

###########################################
newshader bump3_shader "Concrete"
bump3_shader -ambiant { .2 .2 .2 }
bump3_shader -couleur { .7 .7 .7 }
bump3_shader -diffus .5
bump3_shader -spec_coef .2
bump3_shader -spec_couleur { 1 1 1 }
bump3_shader -spec_etal 50
bump3_shader -texture bump3_text

bump3_text -texture3d 	bump3_t3d
bump3_text -destination 	bump
bump3_text -algo_applic		mix
bump3_text -param_applic	1

bump3_t3d -type 		noise
bump3_t3d -perturbation 	.97
bump3_t3d -octaves 		4
bump3_t3d -scale 		{ 40 40 40 }
bump3_t3d -taille 	55

###########################################
newshader woodn_shader "Stone made with wood shader"
woodn_shader -diffus 0.6
woodn_shader -couleur { .4 .9 .95 }
woodn_shader -spec_coef 1
woodn_shader -spec_couleur { 1 1 1 }
woodn_shader -spec_etal 200
woodn_shader -ambiant { 0.4 0.4 0.4 }
woodn_shader -texture woodn_text

woodn_text -texture3d 		woodn_t3d
woodn_text -destination 	color
woodn_text -algo_applic		replace
woodn_text -param_applic	.5

woodn_t3d -type 		wood
woodn_t3d -scale 	{ 5 5 5 }
woodn_t3d -rotat 	{ 0.0 0.0 0.0 }
woodn_t3d -perturbation 0.3
woodn_t3d -octaves	8
woodn_t3d -taille	30

###########################################
newshader woodn2_shader "Two wooden layers"
woodn2_shader -diffus 0.6
woodn2_shader -couleur { .4 .9 .95 }
woodn2_shader -spec_coef 1
woodn2_shader -spec_couleur { 1 1 1 }
woodn2_shader -spec_etal 100
woodn2_shader -ambiant { 0.4 0.4 0.4 }
woodn2_shader -texture woodn2_text
woodn2_shader -texture wood2_text

woodn2_text -texture3d 		woodn2_t3d
woodn2_text -destination 	bump
woodn2_text -algo_applic	mix
woodn2_text -param_applic	.5

woodn2_t3d -type 		wood
woodn2_t3d -scale 	{ 10 10 1 }
woodn2_t3d -rotat 	{ 0.0 0.0 0.0 }
woodn2_t3d -perturbation 0.1
woodn2_t3d -octaves	3
woodn2_t3d -taille	6

wood2_text -texture3d 		wood2_t3d
wood2_text -destination 	color
wood2_text -algo_applic	    	replace
wood2_text -param_applic	0.5

wood2_t3d -type 		wood
wood2_t3d -scale 	{ 10 10 1 }
wood2_t3d -rotat 	{ 0.0 0.0 0.0 }
wood2_t3d -perturbation .1
wood2_t3d -octaves	3
wood2_t3d -taille	6
wood2_t3d -couleur1	{ .3 .15 .05 }
wood2_t3d -couleur2	{ .7 .4 .1 }

###########################################
newshader marblen_shader "Stripes"
marblen_shader -diffus 0.6
marblen_shader -couleur { .2 .5 .95 }
marblen_shader -spec_coef 1
marblen_shader -spec_couleur { 1 1 1 }
marblen_shader -spec_etal 200
marblen_shader -ambiant { 0.4 0.4 0.4 }
marblen_shader -texture marblen_text

marblen_text -texture3d 	marblen_t3d
marblen_text -destination 	color
marblen_text -algo_applic	replace
marblen_text -param_applic	.5

marblen_t3d -type 		marble
marblen_t3d -scale 	{ 3 3 1 }
marblen_t3d -rotat 	{ 0.0 0.0 0.0 }
marblen_t3d -perturbation 0.2
marblen_t3d -octaves	3
marblen_t3d -taille	100
marblen_t3d -couleur1	{ .8 .2 .4 }
marblen_t3d -couleur2	{ .3 .2 .25 }

###########################################
newshader damiern_shader "Transparent checker"
damiern_shader -ambiant { .5 .5 .5 }
damiern_shader -couleur { .2 .95 .35 }
damiern_shader -diffus 0.6
damiern_shader -spec_coef 0
damiern_shader -spec_couleur { 1 1 1 }
damiern_shader -spec_etal 200
damiern_shader -texture damiern_text

damiern_text -texture3d 	damiern_t3d
damiern_text -destination 	transp
damiern_text -algo_applic	replace
damiern_text -param_applic	1

damiern_t3d -type 		damier
damiern_t3d -perturbation 	0
damiern_t3d -scale 		{ 5 5 5 }
damiern_t3d -taille 		10

damiern_t3d -couleur1	{ 0 0 0 }
damiern_t3d -couleur2	{ 1 1 1 }

###########################################
newshader radialn1_shader "Radial example"
radialn1_shader -ambiant { .5 .5 .5 }
radialn1_shader -couleur { .4 .45 .95 }
radialn1_shader -diffus 0.6
radialn1_shader -spec_coef 1
radialn1_shader -spec_couleur { 1 1 1 }
radialn1_shader -spec_etal 100
radialn1_shader -texture radialn1_text

radialn1_text -texture3d 	radialn1_t3d
radialn1_text -destination 	color
radialn1_text -algo_applic	replace
radialn1_text -param_applic	0.3

radialn1_t3d -type 		radial1
radialn1_t3d -perturbation 	0.1
radialn1_t3d -scale 		{ 10 10 10 }
#radialn1_t3d -trans 		{ -0.5 -0.5 -0.5 }
radialn1_t3d -rotat 		{ 0.0 0.0 0.0 }
radialn1_t3d -taille		10

###########################################
newshader radialn2_shader "Radial example 2"
radialn2_shader -ambiant { .5 .5 .5 }
radialn2_shader -couleur { .4 .45 .95 }
radialn2_shader -diffus 0.6
radialn2_shader -spec_coef 1
radialn2_shader -spec_couleur { 1 1 1 }
radialn2_shader -spec_etal 100
radialn2_shader -texture radialn2_text

radialn2_text -texture3d 	radialn2_t3d
radialn2_text -destination 	color
radialn2_text -algo_applic	replace
radialn2_text -param_applic	0.3

radialn2_t3d -type 		radial2
radialn2_t3d -perturbation 	0.3
radialn2_t3d -octaves 		5
radialn2_t3d -scale 		{ 20 20 20 }
radialn2_t3d -rotat 		{ 0.0 0.0 0.0 }
radialn2_t3d -taille		5

###########################################
newshader grid_shader "Grid"
grid_shader -ambiant { .5 .5 .5 }
grid_shader -couleur { .4 .45 .95 }
grid_shader -diffus 0.6
grid_shader -spec_coef 1
grid_shader -spec_couleur { 1 1 1 }
grid_shader -spec_etal 100
grid_shader -texture grid_text

grid_text -texture3d 	grid_t3d
grid_text -destination 	color
grid_text -algo_applic	replace
grid_text -param_applic	0

grid_t3d -type 		grid
grid_t3d -perturbation 	0
grid_t3d -octaves 		5
grid_t3d -rotat 		{ 0.0 0.0 0.0 }
grid_t3d -taille		20
grid_t3d -couleur1		{ 0 0 0 }
grid_t3d -couleur2		{ 1 1 1 }

###########################################
newshader bricks_shader "Bricks"
bricks_shader -ambiant { .2 .2 .2 }
bricks_shader -couleur { .8 .45 .2 }
bricks_shader -diffus 0.8
bricks_shader -spec_coef 0.1
bricks_shader -spec_couleur { 1 1 1 }
bricks_shader -spec_etal 100
bricks_shader -texture bricks_text

bricks_text -texture3d 	bricks_t3d
bricks_text -destination 	color
bricks_text -algo_applic	replace
bricks_text -param_applic	0

bricks_t3d -type 		brick
bricks_t3d -perturbation 	0
bricks_t3d -octaves 		5
#bricks_t3d -scale 		{ 5 5 5 }
bricks_t3d -scale 		{ 5 5 5 }
bricks_t3d -rotat 		{ 0.0 0.0 0.0 }
bricks_t3d -taille		20
bricks_t3d -couleur1		{ 0.7 0.56 0.3 }
bricks_t3d -couleur2		{ 0.45 0.34 0.25 }

###########################################
newshader radialn22_shader "reflection mapping"
radialn22_shader -ambiant { .2 .2 .2 }
radialn22_shader -couleur { .55 .555 .5555 }
radialn22_shader -diffus 1
radialn22_shader -spec_coef 0
radialn22_shader -spec_couleur { 1 1 1 }
radialn22_shader -spec_etal 100
radialn22_shader -texture lazizanie_text

lazizanie_text -mapping2d       lazizanie_mapping
lazizanie_text -destination     color
lazizanie_text -algo_applic     replace
lazizanie_text -param_applic    0.3

#  uv:       uv simple, mal interpole si la facette n'est pas rectangulaire
#  uv_proj:  uv projectif, comme si la mappe etait projetee sur la facette
#  uv_quad:  uv en equation quadratique, c'est la meilleure methode
#
#  sphere:
#  cylindre:
#  cercle:
#  plan:
#  cube:                6 faces selon la meilleure orientation
#  ball:                cf reflection2
#  reflection:          mapping de reflection 'spherique'
#  reflection2:         idem mais en mapping 'ball' : la mappe doit montrer un
#                       image ronde: seule la partie ronde de la mappe

lazizanie_mapping -type         cube
lazizanie_mapping -centre       { 0 0 0 }
lazizanie_mapping -flags        19
#lazizanie_mapping -nom_image    "Amapi Package:AMAPI DEVELOP: MAPPING TESTS:MAPPING.TGA"
#lazizanie_mapping -nom_image    "D:\\desert.TGA"

lazizanie_mapping -texture2d     zizanie_texture2d

zizanie_texture2d -type 		wood
zizanie_texture2d -taille		10
zizanie_texture2d -perturbation		0.6
zizanie_texture2d -octaves		4
zizanie_texture2d -bias			0.44
zizanie_texture2d -gain			0.46
zizanie_texture2d -colmap { 0.00 0.2 0.3 1.0 1.0 }
zizanie_texture2d -colmap { 0.40 0.3 0.7 0.8 0.0 }
zizanie_texture2d -colmap { 0.55 0.1 0.1 0.6 0.0 }
zizanie_texture2d -colmap { 1.00 0.2 0.3 1.0 1.0 }

